# QStandardItemModel Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractItemModel.

### Constructor

- void QStandardItemModel(QObject parent)
- void QStandardItemModel(int rows, int columns, QObject parent)

### Constructor Properties

- prototype: The QStandardItemModel prototype object

### Prototype Object Properties

The QStandardItemModel prototype object inherits properties from the QAbstractItemModel prototype object and also has the following properties.

- void appendColumn(List items)
- void appendRow(QStandardItem item)
- void clear()
- List findItems(String text, MatchFlags flags, int column)
- QStandardItem horizontalHeaderItem(int column)
- QModelIndex indexFromItem(QStandardItem item)
- void insertColumn(int column, List items)
- void insertRow(int row, QStandardItem item)
- QStandardItem invisibleRootItem()
- QStandardItem item(int row, int column)
- QStandardItem itemFromIndex(QModelIndex index)
- QStandardItem itemPrototype()
- void setColumnCount(int columns)
- void setHorizontalHeaderItem(int column, QStandardItem item)
- void setHorizontalHeaderLabels(List labels)
- void setItem(int row, QStandardItem item)
- void setItemPrototype(QStandardItem item)
- void setRowCount(int rows)
- void setVerticalHeaderItem(int row, QStandardItem item)
- void setVerticalHeaderLabels(List labels)
- List takeColumn(int column)
- QStandardItem takeHorizontalHeaderItem(int column)
- QStandardItem takeItem(int row, int column)
- List takeRow(int row)
- QStandardItem takeVerticalHeaderItem(int row)
- QStandardItem verticalHeaderItem(int row)

### Instance Properties

QStandardItemModel objects inherit properties from the QStandardItemModel prototype object and also have the following properties.

- sortRole